Skip to main content
`Ctrl`+`K`

# PetscObjectList

Linked list of PETSc objects, each accessible by string name

## Synopsis

    typedef struct _n_PetscObjectList *PetscObjectList;

## Note

Used by `PetscObjectCompose()` and `PetscObjectQuery()`

## See Also

`PetscObjectListAdd()`, `PetscObjectListDestroy()`, `PetscObjectListFind()`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscFunctionList`

## Level

developer

## Location

include/petscsystypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages